apiVersion: apps/v1
kind: DaemonSet
metadata:
  name: publisher
  labels:
    k8s-app: publisher
spec:
  selector:
    matchLabels:
      name: publisher
  template:
    metadata:
      labels:
        name: publisher
    spec:
      nodeSelector:
        publisher: "yes"
      hostname: publisher
      containers:
      - name: publisher
        imagePullPolicy: Always
        image: $PUBLISHER_IMAGE
        env:
        - name: MY_NODE_NAME
          valueFrom:
            fieldRef:
              fieldPath: spec.nodeName
        - name: JAEGER_AGENT_HOST
          value: jaeger-agent
        # resources:
        #   limits:
        #     cpu: 300m
        #     memory: 100Mi
        #   requests:
        #     cpu: 100m
        #     memory: 40Mi
      terminationGracePeriodSeconds: 15
